export type TimelinePosition = 'right' | 'left' | 'alternate';

export type ParentPosition = 'right' | 'left';

export type TimelineConfig = {
    rootPosition: TimelinePosition;
};

export interface GitRepo {
    name: string;
    description: string;
    language: string;
    size: number;
    updated_at: Date;
    html_url: string;
    private: boolean;
    fork: boolean;
    owner: {
        login: string;
        avatar_url: string;
    };
}
